<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Keysystems.WCF.RepmakerService.Common</name>
    </assembly>
    <members>
        <member name="T:Keysystems.WCF.RepmakerService.Common.CallbackEventArgs">
            <summary>
            Параметры, передающиеся клиенту в уведомлениях.
            </summary>
        </member>
        <member name="M:Keysystems.WCF.RepmakerService.Common.CallbackEventArgs.#ctor">
            <summary>
            Конструктор.
            </summary>
        </member>
        <member name="M:Keysystems.WCF.RepmakerService.Common.CallbackEventArgs.#ctor(Keysystems.ReportManager.ReportCommon.ReportStatus)">
            <summary>
            Конструктор.
            </summary>
            <param name="reportStatus">Статус отчета.</param>
        </member>
        <member name="M:Keysystems.WCF.RepmakerService.Common.CallbackEventArgs.ToString">
            <summary>
            Представление в виде строки.
            </summary>
            <returns>"Status: {ReportStatus}"</returns>
        </member>
        <member name="P:Keysystems.WCF.RepmakerService.Common.CallbackEventArgs.ReportStatus">
            <summary>
            {Get,Set} Статус отчета.
            </summary>
        </member>
        <member name="P:Keysystems.WCF.RepmakerService.Common.CallbackEventArgs.ReportProgress">
            <summary>
            {Get,Set} Прогресс генерации отчета.
            </summary>
        </member>
        <member name="P:Keysystems.WCF.RepmakerService.Common.CallbackEventArgs.ReportError">
            <summary>
            {Get,Set} Текст ошибки на сервисе.
            </summary>
        </member>
        <member name="T:Keysystems.WCF.RepmakerService.Common.ServiceActionType">
            <summary>
            Действия, на которые в сервисе возникают события.
            </summary>
        </member>
        <member name="F:Keysystems.WCF.RepmakerService.Common.ServiceActionType.GenerateReport">
            <summary>
            Генерация отчета.
            </summary>
        </member>
    </members>
</doc>
